# Atomic Sass

Generators that make [atomic design](http://coding.smashingmagazine.com/2013/08/02/other-interface-atomic-design-sass/) with SASS easy.

![](http://f.cl.ly/items/0T1v2y3z330O2i2L2M0v/out_gif.gif)

## Installation

```bash
gem install atomic_sass
```

## Usage

Initialize your project

```bash
atom init
```

This creates a yaml file where you can specify:
- the source directory 
- the destination directory
- your preferred sass syntax (scss or sass)

After the settings are set the way you like you can build the initial file structure with

```bash
atom build
```

Now you are ready to start styling.

Generate your documents by passing the appropriate flag then an array of new document names

- quark `atom generate --quark header nav footer aside`
- utility `atom generate -u clearfix`
- atom `atom g --atom input button`
- molecules `atom g -m seachbar top_nav`

or a few at once
```bash
atom g -a input button -q header nav footer -m seachbar top_nav
```

specify which molecules will use your atom at generation
( -i is short for --include )
```bash
atom g -a input button -i seachbar
```

or include some atoms in a quark (or quarks)
```bash
atom g -q header
atom g -a text_shadow --include-quark header
```

nested routes are automatically resolved too, so nest all you like
```bash
atom g -m header/searchbar
atom g -a typography/textfields/input -i header/searchbar
```


Compile to css with
```bash 
atom compile
```

or compile and watch for changes with
```bash
atom compile --watch
```
